package com.winhc.bigdata.udf;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyun.odps.udf.ExecutionContext;
import com.aliyun.odps.udf.UDF;
import com.aliyun.odps.utils.StringUtils;
import com.winhc.bigdata.utils.BaseUtils;


/**
 * @Author: π
 * @Date: 2023/1/30 16:26
 * @Description: 关系切分
 */
public class UrlMatch2 extends UDF {

    private JSONObject source_map = new JSONObject();

    @Override
    public void setup(ExecutionContext ctx) {
        String data = BaseUtils.readeResourceFile("open_source.json");
        source_map = JSON.parseObject(data).toJavaObject(JSONObject.class);

    }

    public String evaluate(String url, String host) {
        if (StringUtils.isBlank(url) || StringUtils.isBlank(host)) return null;

        if(source_map.containsKey(host)){
            String mm = source_map.get(host).toString();
            if(mm.equalsIgnoreCase("true")){
                return url;
            }else if(mm.contains("http")){
                return mm;
            }
        }
        return null;
    }

    public static void main(String[] args) {
        UrlMatch2 res = new UrlMatch2();
        res.setup(null);
        System.out.println(res.evaluate("https://11", "szw.nmgfy.gov.cn"));
        System.out.println(res.evaluate("https://www.gzcourt.gov.cn/fygg/ktgg/", "www.gzcourt.gov.cn"));
        System.out.println(res.evaluate(null, "www.gzcourt.gov.cn"));


    }
}
